<div class="steps-container">
  <div class="steps-wrapper">
    <div class="step" id="login-icon">
      <h2>
        <span class="fa fa-user bola"></span>
      </h2>
      <h3>
        Login
      </h3>
    </div>


    <div class="step step-hiden" id="form-icon" >
      <h2>
        <span class="fa fa-tasks bola"></span>
      </h2>
      <h3>
        Formularios
      </h3>
    </div>


    <div class="step" id="course-icon" >
      <h2>
        <span class="fa fa-graduation-cap bola"></span>
      </h2>
      <h3>
        Curso
      </h3>
    </div>


    <div class="step" id="upload-icon" >
      <h2>
        <span class="fa fa-upload bola"></span>
      </h2>
      <h3>
        Enviar
      </h3>
    </div>
  </div>
</div>


<div class="tcc-container" id="tcc-container">
  <% if logged_in? %>
    <% if @submition_phase == "Envio" %>
      <%= render partial: 'partials/course_choice'%>
    <% elsif @submition_phase == "Inscrição" %>
      <%= render partial: 'partials/forms'%>
    <% end %>
  <% else %>
    <%= render partial: 'partials/login'%>
  <% end %>
</div>

<script type="text/javascript">
  function render_course_choice(){
    $("#tcc-container").html('<%= escape_javascript(render partial: '/partials/course_choice') %>');

    var course_icon = $("#course-icon")
    course_icon.addClass("step-active")
    course_icon.removeClass("step-passed")

    var upload_icon = $("#upload-icon")
    upload_icon.removeClass("step-passed")
    upload_icon.removeClass("step-active")

  }
  function render_forms(){
    $("#tcc-container").html('<%= escape_javascript(render partial: '/partials/forms') %>');

    var form_icon = $("#form-icon")
    form_icon.removeClass("step-passed")

    var course_icon = $("#course-icon")
    course_icon.removeClass("step-active")
  }
</script>
